#ifndef MAINNODE_H
#define MAINNODE_H

#include <nodelet/nodelet.h>
#include <ros/ros.h>
#include "boost/thread.hpp"

namespace car
{
	class MainNode : public nodelet::Nodelet
	{
		public:
			virtual void onInit();
			MainNode(ros::NodeHandle &nh, std::string &name);
			MainNode();
			~MainNode();
		private:
			ros::NodeHandle nh_;
			std::string name_;
			boost::thread loggerModule;
			ros::Publisher logEnabled;
	};
}
#endif
